gdcm (3.0.24-5ubuntu3) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 23 May 2025 06:06:06 +0200

gdcm (3.0.24-5ubuntu2) plucky; urgency=medium

  * Rebuild against latest poppler

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 08 Mar 2025 09:24:16 -0500

gdcm (3.0.24-5ubuntu1) plucky; urgency=medium

  * Build depends on default-jdk, not default-jdk-headless (Closes: #1093693).

 -- Alessandro Astone <alessandro.astone@canonical.com>  Tue, 21 Jan 2025 15:28:46 +0100

gdcm (3.0.24-5) unstable; urgency=medium

  * Team upload.
  * Adjust patch metadata to be "pq" friendly
  * d/control: adjust default-jdk-headless build-dep to exclude hurd-any
    and others, just as is already done for default-jdk; drop the now-unneeded
    default-jdk build-dep. Closes: #1080040
  * reformatted d/control; removed the now-unneeded d/control.in
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Build-Depends: s/javahelper/dh-sequence-javahelper/

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 14 Sep 2024 14:36:50 +0200

gdcm (3.0.24-4) unstable; urgency=medium

  * Team upload.
  * Removed mono support. Closes: #1079884

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 29 Aug 2024 11:34:53 +0900

gdcm (3.0.24-3) unstable; urgency=medium

  * Team upload

  [ Andreas Hasenack ]
  * d/patches: bump CXX standard to 20 to fix FTBFS with new poppler
    (Closes: #1074387)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 01 Aug 2024 19:45:50 +0200

gdcm (3.0.24-2) unstable; urgency=medium

  [ Adrien Nader ]
  * Team upload.
  * d/patches: gdcm FTBFS with VTK 9.3.0. Closes: #1072822

  [ Mathieu Malaterre ]
  * d/control: Bump Std-Vers to 4.7.0 no changes needed

 -- Mathieu Malaterre <malat@debian.org>  Tue, 18 Jun 2024 08:28:12 +0200

gdcm (3.0.24-1) unstable; urgency=high

  * Team upload.
  * d/watch: fix scan broken by github release page changes.
    This switches to git mode, to stabilise to ls-remote "API".
  * New upstream version 3.0.24
    This version addresses CVE-2024-22373, CVE-2024-22391 and CVE-2024-25569.
    Closes: #1070387
  * 02_fixhurd.patch: unfuzz.
  * Deleted 6631a74c39145b71dedcbe07c43bd6b1631b100d.patch.
    It is applied upstream.
  * d/control: declare compliance to standards version 4.7.0.
  * d/libgdcm-tools.lintian-overrides: refresh mismatched override.
  * d/libvtkgdcm-9.1t64.lintian-overrides: update mismatched override.
  * d/libgdcm3.0t64.lintian-overrides: remove mismatched override.
  * d/copyright: remove superfluous file patterns.
  * d/watch: single out tag v3.1.0 upstream.

 -- Étienne Mollier <emollier@debian.org>  Sun, 05 May 2024 16:45:36 +0200

gdcm (3.0.22-3) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Team upload.
  * Fixup testsuite due to renamed libgdcm package

  [ Andreas Tille ]
  * Add build support for loongarch64
    Closes: #1059517

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 08 Apr 2024 11:11:28 +0200

gdcm (3.0.22-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062049

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 08:01:41 +0000

gdcm (3.0.22-2) unstable; urgency=medium

  * d/patches: Revert changes breaking binary ABI. Closes: #1056953

 -- Mathieu Malaterre <malat@debian.org>  Thu, 07 Dec 2023 10:37:28 +0100

gdcm (3.0.22-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.0.22
  * d/patches: Fix compilation with charls. Closes: #1054696

 -- Mathieu Malaterre <malat@debian.org>  Mon, 30 Oct 2023 15:36:49 +0100

gdcm (3.0.21-2) unstable; urgency=medium

  * d/rules: Hack to work around FTBFS. Closes: #1042246

 -- Mathieu Malaterre <malat@debian.org>  Fri, 25 Aug 2023 15:21:27 +0200

gdcm (3.0.21-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.0.21

 -- Mathieu Malaterre <malat@debian.org>  Sun, 29 Jan 2023 15:21:24 +0100

gdcm (3.0.20-3) unstable; urgency=medium

  * d/python3-vtkgdcm: Fix hard-coded install path

 -- Mathieu Malaterre <malat@debian.org>  Tue, 10 Jan 2023 10:04:18 +0100

gdcm (3.0.20-2) unstable; urgency=medium

  * Team upload.
  * d/control: Run wrap-and-sort
  * d/control: Add fake dependency to libvtk9-qt-dev

 -- Mathieu Malaterre <malat@debian.org>  Tue, 10 Jan 2023 08:11:12 +0100

gdcm (3.0.20-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.0.20

 -- Mathieu Malaterre <malat@debian.org>  Thu, 05 Jan 2023 08:05:34 +0100

gdcm (3.0.17-5) unstable; urgency=medium

  [ Andreas Tille ]
  * Switch to VTK9 and drop bindings for vtk for C# and Java
    Closes: #1013156
  * Build-Depends: default-jdk-headless

  [ Mathieu Malaterre ]
  * Team upload.
  * d/rules: Do not build VTK documentation. Closes: #1013156
  * d/control: Finish transition to VTK9

 -- Mathieu Malaterre <malat@debian.org>  Mon, 02 Jan 2023 10:00:45 +0100

gdcm (3.0.17-4) unstable; urgency=medium

  * Team upload.
  * d/rules: Yet another C# wrapping fix

 -- Mathieu Malaterre <malat@debian.org>  Mon, 05 Sep 2022 14:15:50 +0200

gdcm (3.0.17-3) unstable; urgency=medium

  * Team upload.
  * d/rules: Really fix vtkgdcm wrapping

 -- Mathieu Malaterre <malat@debian.org>  Mon, 05 Sep 2022 12:05:25 +0200

gdcm (3.0.17-2) unstable; urgency=medium

  * Team upload.
  * d/rules: Make sure to build vtk bindings

 -- Mathieu Malaterre <malat@debian.org>  Mon, 05 Sep 2022 09:16:23 +0200

gdcm (3.0.17-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.0.17

 -- Mathieu Malaterre <malat@debian.org>  Mon, 05 Sep 2022 08:14:40 +0200

gdcm (3.0.16-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.0.16
  * d/patches: Remove patches applied usptream

 -- Mathieu Malaterre <malat@debian.org>  Wed, 31 Aug 2022 09:18:45 +0200

gdcm (3.0.14-1) unstable; urgency=medium

  * Team upload.
  * d/watch: Point to latest release
  * Deal with new build target locations created by cmake
    Closes: #1017027
  * lintian-brush: Avoid explicitly specifying -Wl,--as-needed linker flag.

 -- Andreas Tille <tille@debian.org>  Fri, 12 Aug 2022 09:22:00 +0200

gdcm (3.0.13-3) unstable; urgency=medium

  [ Mohammed Bilal ]
  * change test data
  * Fix autopkgtest for s390 (Closes: #1016450)

  [ Mathieu Malaterre ]
  * Team upload.
  * d/patches: Fix doxygen/pdf generation. Closes: #1016331

 -- Mathieu Malaterre <malat@debian.org>  Thu, 04 Aug 2022 08:29:13 +0200

gdcm (3.0.13-2) unstable; urgency=medium

  [ Mohammed Bilal ]
  * Add autopkgtests
  * Install example data
  * add example data to d/s/include-binaries
  * Add copyright for test data

  [ Mathieu Malaterre ]
  * Team upload.
  * d/control: Bump Std-Vers to 4.6.1, no changes needed
  * d/t/run-unit-test: Fix up the unit test

 -- Mathieu Malaterre <malat@debian.org>  Wed, 06 Jul 2022 11:32:54 +0200

gdcm (3.0.13-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.0.13
  * d/control: Run wrap-and-sort
  * d/control: Ship new CLI gdcmclean

 -- Mathieu Malaterre <malat@debian.org>  Mon, 20 Jun 2022 10:27:49 +0200

gdcm (3.0.12-1) unstable; urgency=medium

  * Team upload.
  * d/patches: Fix compilation on big-endian arch
  * New upstream version 3.0.12
  * d/patches: Remove patch applied upstream

 -- Mathieu Malaterre <malat@debian.org>  Mon, 04 Apr 2022 08:32:57 +0200

gdcm (3.0.11-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Bump versioned Build-Depends: libcharls-dev (>= 2.0)
  * Make sure debhelper level 13 will not be overridden by recreating d/control

  [ Mathieu Malaterre ]
  * Team upload.
  * New upstream version 3.0.11

 -- Mathieu Malaterre <malat@debian.org>  Tue, 29 Mar 2022 11:50:17 +0200

gdcm (3.0.10-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.0.10
  * d/*.ini: Remove php binding leftovers
  * d/patches: Remove patches applied upstream

 -- Mathieu Malaterre <malat@debian.org>  Tue, 23 Nov 2021 10:20:42 +0100

gdcm (3.0.8-4) unstable; urgency=medium

  [ Mathieu Malaterre ]
  * d/rules: Build manpages before installing them. Closes: #996820

 -- Andreas Tille <tille@debian.org>  Tue, 19 Oct 2021 18:10:50 +0200

gdcm (3.0.8-3) unstable; urgency=medium

  * Team upload.
  * Fix watchfile to detect new versions on github (routine-update)
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * remove redundant debian/gbp.conf
  * Add missing include to enable build with gcc-11
  * Install gdcm-sharp.dll.xml

 -- Andreas Tille <tille@debian.org>  Tue, 19 Oct 2021 09:45:54 +0200

gdcm (3.0.8-2) unstable; urgency=medium

  * Team upload.
  * d/rules: adjust GDCMTargets-*.cmake to detect libvtkgdcmsharpglue.so and
    vtkgdcmPython.cpython-*-*.so properly.
    Closes: #989296

 -- Étienne Mollier <emollier@debian.org>  Sat, 31 Jul 2021 10:32:44 +0200

gdcm (3.0.8-1) unstable; urgency=medium

  [ Gert Wollny ]
  * New upstream version 3.0.8

  [ Alexander Volkov ]
  * debian/{rules, control}: Don't build CLI bindings when the "nocil" build
    profile is enabled

  [ Michael R. Crusoe ]
  * debian/watch: upstream now distributes source releases on GitHub
  * debian/upstream/metadata: document GitHub for source, SF for bugs
  * debian/control: libvtkgdcm-java: don't build on ports without java
    Closes: #976360

  [ Andreas Tille ]
  * Standards-Version: 4.5.1

 -- Andreas Tille <tille@debian.org>  Thu, 17 Dec 2020 20:30:50 +0100

gdcm (3.0.7-3) unstable; urgency=medium

  * d/control: update mono deps Closes: #968176

 -- Gert Wollny <gewo@debian.org>  Mon, 17 Aug 2020 08:24:50 +0200

gdcm (3.0.7-2) unstable; urgency=medium

  * d/patch: add a patch to rename pdf based on major version

 -- Gert Wollny <gewo@debian.org>  Sat, 08 Aug 2020 15:05:07 +0200

gdcm (3.0.7-1) unstable; urgency=medium

  * New upstream version 3.0.7
  * d/patches: Update patches for new upstream version
  * d/patches: Update vtk doc patch for new upstream version"

 -- Gert Wollny <gewo@debian.org>  Fri, 07 Aug 2020 21:22:46 +0200

gdcm (3.0.5-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Drop useless get-orig-source target (routine-update)
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target (routine-
    update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Add salsa-ci file in favour of .gitlab-ci.yml
  * Trim trailing whitespace.
  * Wrap long lines in changelog entries: 2.0.10-2.
  * Use secure URI in debian/watch.
  * Build-Depends: swig (instead of swig3.0)
    Closes: #952597

  [ Samuel Thibault ]
  * Build on ports without java
    Closes: #947990

  [ Gert Wollny ]
  * New upstream version 3.0.5
  * d/patches: Update for new release
  * d/p: Add upstream patch to fix build with swig4
  * d/gdcm-doc.doc-base: update pdf version

 -- Gert Wollny <gewo@debian.org>  Sun, 22 Mar 2020 19:29:36 +0100

gdcm (3.0.4-2) unstable; urgency=medium

  * d/control: Depend on vtk7-doc instead of vtk6-doc

 -- Gert Wollny <gewo@debian.org>  Thu, 07 Nov 2019 12:25:42 +0100

gdcm (3.0.4-1) unstable; urgency=medium

  * New upstream version 3.0.4

 -- Gert Wollny <gewo@debian.org>  Fri, 01 Nov 2019 17:17:49 +0100

gdcm (3.0.3-1~exp2) experimental; urgency=medium

  * d/control: Add Breaks/Replaces for *gdcm2-dev Closes: #943765
  * d/* rename lib*gdcm3-dev to lib*gdcm-dev

 -- Gert Wollny <gewo@debian.org>  Thu, 31 Oct 2019 12:35:25 +0100

gdcm (3.0.3-1~exp1) experimental; urgency=medium

  [Gert Wollny]
  * d/watch: update to version 4 of watch file
  * New upstream version 3.0.3
  * d/ Update to new 3.0 so version
  * d/p: Update patches and remove patches that were applied
    upstream
  * ci: Get some log output on failure
  * d/rules: Fix cmake file patchup code (Thanks Mathieu)
  * Move to vtk7, Closes: #939670
  * d/ci: don't silence build
  * d/rules: use ninja build system
  * d/libgdcm3.0.docs: Fix file name
  * d/gdcm-doc*: Fix version of PDF file
  * d/control: Fix dev package names

  [Steffenn Möller]
  * d/u/metadata: yamllint

 -- Gert Wollny <gewo@debian.org>  Sun, 20 Oct 2019 15:16:32 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libvtkgdcm-dev`.
